<?php
/**
* Plugin WDD_social_buttons
*
* @package	PLX
* @version	1.0
* @date	23/09/16
* @author Bronco
**/
class WDD_social_buttons extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		
		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('showSocialButtons','showSocialButtons');
		$this->addHook('ThemeEndBody','ThemeEndBody');

		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################
	public function ThemeEndBody(){
		echo '<script src="'.PLX_PLUGINS.'WDD_social_buttons/social.js"></script>';
	}

	########################################
	# showSocialButtons 
	########################################
	# Description:
	public function showSocialButtons(){
		global $plxShow;
		$url    =$plxShow->plxMotor->plxRecord_arts->f('url');
		$author =$plxShow->plxMotor->aUsers[$plxShow->plxMotor->plxRecord_arts->f('author')]['name'];
		$id     =intval($plxShow->plxMotor->plxRecord_arts->f('numero'));
		$title  =plxUtils::strCheck($plxShow->plxMotor->plxRecord_arts->f('title'));
		$url    =$plxShow->plxMotor->urlRewrite('?article'.$id.'/'.$url);
		echo '<div class="social">
			<a class=" share_twitter" data-url="'.$url.'"><img src="'.PLX_PLUGINS.'WDD_social_buttons/img/twitter.png" alt="Twitter" /></a>
			<a class=" share_facebook" data-url="'.$url.'"><img src="'.PLX_PLUGINS.'WDD_social_buttons/img/fb.png" alt="Facebook" /></a>
			<a class=" share_gplus" data-url="'.$url.'"><img src="'.PLX_PLUGINS.'WDD_social_buttons/img/g+.png" alt="Google Plus" /></a>
			<a class=" share_linkedin" data-url="'.$url.'"><img src="'.PLX_PLUGINS.'WDD_social_buttons/img/linkedin.png" alt="Linkedin" /></a>
			<a title="Envoyer par mail" href="mailto:?subject='.$title.'&body='.$url.'" rel="nofollow"><img src="'.PLX_PLUGINS.'WDD_social_buttons/img/mail.png" alt="email" /></a>
			<a class=" share_diaspora" data-url="'.$url.'" data-title="'.$title.'" rel="nofollow" ><img src="'.PLX_PLUGINS.'WDD_social_buttons/img/diaspora.png" alt="Twitter" /></a>


			    
			</div>';

	} 
}





/* Pense-bete:
 * Récuperer des etres du fichier eters.xml
 *	$this->getParam("<nom du etre>")
 *	$this-> setParam ("1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","1"))  ou eval($plxShow->callHook("ThemeEndHead",array("1","2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","1"));
 */